Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class ExControlAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.ExControlAtom

    public final class ExControlAtom

extends RecordAtom

An atom record that specifies an ActiveX control.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` | `ExControlAtom()` Constructs a brand new embedded object atom record.
`protected` | `ExControlAtom(byte[] source, int start, int len)` Constructs the ExControlAtom record from its source data.

Method Summary
`long` | `getRecordType()` Gets the record type.
`int` | `getSlideId()` An integer that specifies which presentation slide is associated with the ActiveX control.
`void` | `setSlideId(int id)` Sets which presentation slide is associated with the ActiveX control.
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExControlAtom

    protected ExControlAtom()

  Constructs a brand new embedded object atom record.

### ExControlAtom

    protected ExControlAtom(byte[] source,
                            int start,
                            int len)

  Constructs the ExControlAtom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getSlideId

    public int getSlideId()

  An integer that specifies which presentation slide is associated with the ActiveX control.

  It MUST be 0x00000000 or equal to the value of the slideId field of a SlidePersistAtom record. The value 0x00000000 specifies a null reference.

  Returns:
    an integer that specifies which presentation slide is associated with the ActiveX control

### setSlideId

    public void setSlideId(int id)

  Sets which presentation slide is associated with the ActiveX control.

  Parameters:
    `id` - an integer that specifies which presentation slide is associated with the ActiveX control

    It MUST be 0x00000000 or equal to the value of the slideId field of a SlidePersistAtom record. The value 0x00000000 specifies a null reference.

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.